function AltMinimapFrame_OnLoad(self)
	self:RegisterEvent("VARIABLES_LOADED")
end

function AltMinimapFrame_OnEvent(self)
	AltMinimapFrame_Reposition()
	AltMinimapFrame_Rescale()
end

function AltMinimapFrame_SetCircularSkin(info)
	if AltUISVPC["Minimap"]["Reposition"] then
		MinimapCluster:SetPoint("TOPRIGHT", -32, -16+info.yOffset)
	else
		MinimapCluster:SetPoint("TOPRIGHT", 0, 0+info.yOffset)
	end
	local yOffset = info.yOffset or 0
	AltMinimapFrame.backgroundFrame:SetPoint("TOPLEFT", 24, -5-info.yOffset)
	AltMinimapFrame.horizontalFrame:SetPoint("TOPLEFT", -11, 17-info.yOffset)
	MinimapZoneTextButton:SetPoint("CENTER", 7, 83-info.yOffset)
	MinimapBorderTop:SetPoint("TOPRIGHT", 0, 0-info.yOffset)
	MiniMapWorldMapButton:SetPoint("TOPRIGHT", -2, 23-info.yOffset)
	MinimapBorder:SetTexture(info.texture)
	MinimapBorder:ClearAllPoints()
	MinimapBorder:SetPoint("CENTER")
	MinimapBorder:SetSize(256, 256)
	MinimapBorder:SetTexCoord(0, 1, 0, 1)
end

function AltMinimapFrame_HideCircularSkin(info)
	if AltUISVPC["Minimap"]["Reposition"] then
		MinimapCluster:SetPoint("TOPRIGHT", -32, -16)
	else
		MinimapCluster:SetPoint("TOPRIGHT", 0, 0)
	end
	AltMinimapFrame.backgroundFrame:SetPoint("TOPLEFT", 24, -5)
	AltMinimapFrame.horizontalFrame:SetPoint("TOPLEFT", -11, 17)
	MinimapZoneTextButton:SetPoint("CENTER", 7, 83)
	MinimapBorderTop:SetPoint("TOPRIGHT", 0, 0)
	MiniMapWorldMapButton:SetPoint("TOPRIGHT", -2, 23)
	MinimapBorder:SetTexture("Interface\\Minimap\\UI-Minimap-Border")
	MinimapBorder:ClearAllPoints()
	MinimapBorder:SetPoint("CENTER")
	MinimapBorder:SetSize(192, 192)
	MinimapBorder:SetTexCoord(0.25, 1.0, 0.125, 0.875)
end

function AltMinimapFrame_Reposition()
	if AltUISVPC["Minimap"]["Reposition"] then
		MinimapCluster:SetPoint("TOPRIGHT", -32, -16)
		BuffFrame:SetPoint("TOPRIGHT", -253, -13)
	else
		MinimapCluster:SetPoint("TOPRIGHT", 0, 0)
		BuffFrame:SetPoint("TOPRIGHT", -205, -13)
	end
end

function AltMinimapFrame_Rescale()
	local scale = AltUISVPC["Minimap"]["Rescale"] 
	MinimapCluster:SetScale(scale)
	BuffFrame:SetScale(scale)
end